/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package WebService;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author villeche
 */
public class Solution implements Cloneable
{

    public BierwithVector bv;
    public int makespan;
    public int head[]; //taille nbOps+1
    public int startDate[];
    
    public Solution()
    {
        this.bv = null;
        this.makespan = 0;
        this.head = null;
        this.startDate = null;
    }
    public Solution(BierwithVector bv)
    {
        this.bv = (BierwithVector)bv.clone();
        this.makespan = 0;
        this.head = new int[bv.nbOps+1];
        this.startDate = new int[bv.nbOps];
    }
    
    @Override
    public Object clone()
    {
        Solution tmp = null;
        try 
        {
            tmp = (Solution) super.clone();
            tmp.bv = (BierwithVector) this.bv.clone();
            tmp.head = (int[]) this.head.clone();
            tmp.makespan = this.makespan;
            tmp.startDate = (int[]) this.startDate.clone();
        } 
        catch (CloneNotSupportedException ex) 
        {
            Logger.getLogger(BierwithVector.class.getName()).log(Level.SEVERE, null, ex);
        }
        
        return tmp;
    }
}
